'use strict'

Object.defineProperty(exports, '__esModule', {
  value: true
})

var _extends =
  Object.assign ||
  function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i]
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key]
        }
      }
    }
    return target
  }

exports.default = collection => (parent, args, { firestore }) =>
  firestore
    .collection(collection)
    .get()
    .then(function(querySnapshot) {
      const documents = []
      querySnapshot.forEach(doc =>
        documents.push(_extends({ id: doc.id }, doc.data()))
      )
      return documents
    })
