'use strict'

Object.defineProperty(exports, '__esModule', {
  value: true
})

var _extends =
  Object.assign ||
  function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i]
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key]
        }
      }
    }
    return target
  }

var _get = require('./get')

var _get2 = _interopRequireDefault(_get)

function _interopRequireDefault(obj) {
  return obj && obj.__esModule ? obj : { default: obj }
}

function _objectWithoutProperties(obj, keys) {
  var target = {}
  for (var i in obj) {
    if (keys.indexOf(i) >= 0) continue
    if (!Object.prototype.hasOwnProperty.call(obj, i)) continue
    target[i] = obj[i]
  }
  return target
}

exports.default = collection => (parent, { input }, _ref) => {
  let { firestore } = _ref,
    context = _objectWithoutProperties(_ref, ['firestore'])

  return firestore
    .collection(collection)
    .add(_extends({}, input))
    .then(({ id }) =>
      (0, _get2.default)(collection)(
        parent,
        { id },
        _extends({ firestore }, context)
      )
    )
}
